<div class="ap-news-container">
  <a routerLink="/admin/services" class="back-button">
    <img class="back-img" src="assets/icons/arrow-icon.svg">
    <p class="back-text">Назад</p>
  </a>
  <div class="form-wrapper">
    <form
      (ngSubmit)="editForm()"
      [formGroup]="servicesForm"
      class="form-container">
      <div class="form__group field">
        <select
          formControlName="category"
          class="form__field select"
          placeholder="Категория"
          name="category"
          id='category'>
          <option value="accreditation">Аккредитация</option>
          <option value="license">Лицензирование</option>
          <option value="site">Сайты</option>
        </select>
        <label for="category" class="form__label">Категория</label>
        <div
          *ngIf="
          servicesForm.controls['category'].invalid
           && (servicesForm.controls['category'].dirty
           || servicesForm.controls['category'].touched)">
          <div
            class="form-error"
            *ngIf="servicesForm.controls['category'].errors?.['required']">
            Выбирите тип услуги
          </div>
        </div>
      </div>
      <div class="form__group field">
        <input
          formControlName="name"
          type="text"
          class="form__field"
          placeholder="Описание услуги"
          name="name"
          id='name'/>
        <label for="name" class="form__label">Описание услуги</label>
        <div
          *ngIf="
          servicesForm.controls['name'].invalid
           && (servicesForm.controls['name'].dirty
           || servicesForm.controls['name'].touched)">
          <div
            class="form-error"
            *ngIf="servicesForm.controls['name'].errors?.['required']">
            Напишите название услуги
          </div>
        </div>
      </div>
      <div class="form__group field">
        <input
          formControlName="price"
          type="text"
          class="form__field"
          placeholder="Цена"
          name="price"
          id='price'/>
        <label for="price" class="form__label">Цена</label>
        <div
          *ngIf="
          servicesForm.controls['price'].invalid
           && (servicesForm.controls['price'].dirty
           || servicesForm.controls['price'].touched)">
          <div
            class="form-error"
            *ngIf="servicesForm.controls['price'].errors?.['required']">
            Напишите цену
          </div>
        </div>
      </div>
      <div class="form__group field form-bottom">
        <button [disabled]="servicesForm.invalid" class="btn">Изменить</button>
      </div>
    </form>
  </div>
</div>
